package net.wanji.utc.service.staticinfo;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dto.*;
import net.wanji.databus.po.CrossInfoPO;
import net.wanji.databus.vo.PlanSectionVO;
import net.wanji.databus.vo.SchemePhaseLightsVO;

import java.util.List;

public interface StaticInfoService {

    List<CrossInfoPO> crossBasicInfo(CrossInfoDTO crossInfoDTO) throws Exception;
    CrossInfoPO crossInfoById(String crossId) throws Exception;

    void schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    void planSection(PlanSectionDTO planSectionDTO) throws Exception;

    void crossSchedules(CrossSchedulesDTO crossSchedulesDTO) throws Exception;

    SchemePhaseLightsVO buildSchemePhaseLightsResponse(SchemePhaseLightsDTO schemePhaseLightsDTO);

    PlanSectionVO buildPlanSectionResponse(String crossId);

    PlanSectionVO buildPlanSectionResponse(String crossId, Integer planNo);

    List<CrossSchedulesPO> buildCrossSchedulesResponse(List<String> crossIdList);

    JsonViewObject signalTime(String crossId) throws Exception;
    JsonViewObject crossSchemeNo(String crossId) throws Exception;
    JsonViewObject crossSchemeRings(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;
    JsonViewObject schemeOptLog(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;
    JsonViewObject selectSchemeByParams(QueryByCrossIdAndTimeDTO queryByCrossIdAndTimeDTO) throws Exception;

}
